Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DirectNotify Class Reference

## Public Member Functions
| __init__ (self)
| __str__ (self)
| getCategories (self)
| getCategory (self, categoryName)
| giveNotify (self, cls)
| newCategory (self, categoryName, logger=None)
| popupControls (self, tl=None)
| setDconfigLevel (self, categoryName)
| setDconfigLevels (self)
| setVerbose (self)

## Public Attributes
| logger = Logger.Logger()
| notify = self.newCategory(cls.__name__)
| streamWriter = None

## Detailed Description

    DirectNotify class: this class contains methods for creating
    mulitple notify categories via a dictionary of Notifiers.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

    DirectNotify class keeps a dictionary of Notfiers

## Member Function Documentation

## ◆ __str__()

__str__ | ( |  | self | ) |

    Print handling routine

## ◆ getCategories()

getCategories | ( |  | self | ) |

    Return list of category dictionary keys

## ◆ getCategory()

getCategory | ( |  | self,
|  |  | categoryName )

    getCategory(self, string)
    Return the category with given name if present, None otherwise

## ◆ giveNotify()

giveNotify | ( |  | self,
|  |  | cls )

## ◆ newCategory()

newCategory | ( |  | self,
|  |  | categoryName,
|  |  | logger = None )

    newCategory(self, string)
    Make a new notify category named categoryName. Return new category
    if no such category exists, else return existing category

## ◆ popupControls()

popupControls | ( |  | self,
|  |  | tl = None )

## ◆ setDconfigLevel()

setDconfigLevel | ( |  | self,
|  |  | categoryName )

    Check to see if this category has a dconfig variable
    to set the notify severity and then set that level. You cannot
    set these until config is set.

## ◆ setDconfigLevels()

setDconfigLevels | ( |  | self | ) |

## ◆ setVerbose()

setVerbose | ( |  | self | ) |

## Member Data Documentation

## ◆ logger

logger = Logger.Logger()

## ◆ notify

notify = self.newCategory(cls.__name__)

## ◆ streamWriter

streamWriter = None